Which Version is compatible for ASP.NET MVC 3

Jun 23, 2014 at 8:21 PM
Is this compatible for ASP.NET MVC 3 ?
If Yes, please let me know that.

Thanks in advance.
Jun 24, 2014 at 5:24 AM
the latest version 4.0 is compatible with mvc3, if you download the trial you'll see that the bin folder has 3 subfolders mvc3 mvc4 mvc5 and each folder has AwesomeMvc.dll